Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
/
users
List all users in the company.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}/users
{
  "users": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "email": "<string>",
      "isActivated": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "isBot": true,
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "avatar": "<string>",
      "isGeneratedAvatar": true,
      "discord": "<string>",
      "telegram": "<string>",
      "timezone": "<string>",
      "disabledAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Query Parameters

include_all
boolean | null

If true include deleted and disabled users as well as users who are invited to the company, but haven't joined yet.

Defaults to false, i.e. disabled users and users deleted from the repository are not included.

q
string | null

Search by name and username.

Response

List of users

List of users within a company.

users
object[]
required